Page MenuHomePhabricator

[REQUEST] Event Schema Audit Review
Closed, ResolvedPublic

Description

What's requested:
Review this spreadsheet and, for any Event Logging schema that your team owns, owned, or authored, please:

  1. Add the team's name to the Owner Team(s) column
  2. Add your name to the Contact Person(s) column
  3. Identify whether the schema should be ported or scheduled for deprecation. (If you are not regularly using the data from a schema, we encourage you to allow it to be deprecated. There will be an opportunity to author a fresh schema and instrumentation using the new system.)

Why it's requested:
Many teams have created schema for Event Logging over the years. There will soon be a new system for defining these schema, as part of the joint effort to modernize the Wikimedia event platform. During FY 2020-2021, we plan to gradually port existing Event Logging schema into this new schema system. Before doing this, we need a better picture of which EventLogging schemas are actually being used.

When it's requested:
September 22

Other helpful information:

  • If there are questions, please add them as comments to this ticket for visibility.

Sign-off

The following members of Product Analytics have worked with schemas and would be able to fill in owner & status info for some of the schemas:

Details

Due Date
Sep 22 2020, 4:00 AM

Event Timeline

sdkim created this task.Sep 1 2020, 8:51 PM
jlinehan updated the task description. (Show Details)Sep 2 2020, 5:54 PM
LGoto assigned this task to mpopov.Sep 8 2020, 5:07 PM
LGoto triaged this task as Medium priority.
LGoto edited projects, added Product-Analytics (Kanban); removed Product-Analytics.
mpopov added a comment.Sep 8 2020, 5:08 PM

I will work with the various folks on the team and set up individual subtasks.

mpopov updated the task description. (Show Details)Sep 9 2020, 2:28 PM
mpopov updated the task description. (Show Details)
mpopov updated the task description. (Show Details)Sep 9 2020, 2:35 PM
mpopov set Due Date to Sep 22 2020, 4:00 AM.
jlinehan updated the task description. (Show Details)Sep 9 2020, 2:50 PM
mpopov updated the task description. (Show Details)Sep 9 2020, 2:55 PM
MNeisler updated the task description. (Show Details)
MNeisler updated the task description. (Show Details)
sdkim added a comment.Sep 30 2020, 4:55 PM

FYI @mpopov once this is resolved, I'm going to change permissions to the excel sheet to "Comment only"

mpopov reassigned this task from mpopov to sdkim.Oct 7 2020, 7:15 PM
mpopov moved this task from Doing to Needs Sign-off on the Product-Analytics (Kanban) board.
mpopov added a subscriber: mpopov.

@sdkim: Everyone's all done now. One final comment from Morten:

@mpopov : I've discussed the schemas with the SD team and we found that the MultimediaViewer and UploadWizard schemas could be marked for deprecation. As I didn't have edit permission of the googledoc, I left a couple of comments to that effect.

Handing it over to you for sign-off

sdkim closed this task as Resolved.Oct 7 2020, 8:41 PM

🙏🏼